<div class="symptoms-substance-use">
  <app-content-banner [isDashboard]="false" pageName="Symptoms and Substance Use" [isTutorialRequired]="true"
    [TutorialPageName]="'symptoms-substance'"></app-content-banner>
  <mat-card class="ssu-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="10px">
      <app-client-banner></app-client-banner>
    </mat-card-header>
    <mat-card-content class="regular-mat-form-field">
      <mat-tab-group dynamicHeight [selectedIndex]="selectedTab" (selectedTabChange)="tabChanged($event)">
        <!-- Tab 1-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Symptoms & Behaviors</span>
            <mat-icon *ngIf="symptomsTabStatus !== 2"
              [ngStyle]="{'color': symptomsTabStatus == 0 ? pendingColor : symptomsTabStatus == 1 ? completedColor :noColor}">
              {{symptomsTabStatus == 1?'check_circle': symptomsTabStatus == 0 ? 'watch_later': ''}}</mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <form [formGroup]="symptomsGroup">
                  <div style="margin-top: 10px; margin-bottom: 10px;" fxLayout="column" class="div-border">
                    <div fxLayout="row" fxLayoutAlign="left center">
                      <h2>Symptoms & Behaviors</h2>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="left center">
                      <p>
                        Select all that apply. For all selected items Current or History, provide an explanation in
                        the
                        Psychiatric and Psychosocial Summary, or MHR report.
                        "Current" is "Within past 3 months". "History" is "More than 3 months ago"
                      </p>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="left center" class="row">
                      <div fxFlex="20">
                        <label class="red-label">Homicidal Ideation/Attempts :</label>
                      </div>
                      <div fxFlex>
                        <mat-form-field appearance="outline">
                          <input type="hidden" formControlName="hdnpactSymptomsSubstanceIDCtrl" />
                          <mat-select formControlName="homicidalCtrl">
                            <mat-option [value]="0">Select One</mat-option>
                            <mat-option *ngFor="let homicidal of homicidalType" [value]="homicidal.refGroupDetailID">
                              {{homicidal.refGroupDetailDescription}}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="left center" class="row">
                      <div fxFlex="20">
                        <label class="red-label">Suicidal Ideation/Attempts :</label>
                      </div>
                      <div fxFlex>
                        <mat-form-field appearance="outline">
                          <mat-select formControlName="suicidalCtrl">
                            <mat-option [value]="0">Select One</mat-option>
                            <mat-option *ngFor="let suicidal of suicidalType" [value]="suicidal.refGroupDetailID">
                              {{suicidal.refGroupDetailDescription}}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="left center" class="row">
                      <div fxFlex="20">
                        <label class="red-label">Violent Behavior :</label>
                      </div>
                      <div fxFlex>
                        <mat-form-field appearance="outline">
                          <mat-select formControlName="violentCtrl">
                            <mat-option [value]="0">Select One</mat-option>
                            <mat-option *ngFor="let violent of violentType" [value]="violent.refGroupDetailID">
                              {{violent.refGroupDetailDescription}}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="left center" class="row">
                      <div fxFlex="20">
                        <label class="red-label">Disruptive Behavior :</label>
                      </div>
                      <div fxFlex>
                        <mat-form-field appearance="outline">
                          <mat-select formControlName="disruptiveBehaviorCtrl">
                            <mat-option [value]="0">Select One</mat-option>
                            <mat-option *ngFor="let disruptiveBehavior of disruptiveBehaviorType"
                              [value]="disruptiveBehavior.refGroupDetailID">
                              {{disruptiveBehavior.refGroupDetailDescription}}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="left center" class="row">
                      <div fxFlex="20">
                        <label class="red-label">Criminal Conviction:</label>
                      </div>
                      <div fxFlex>
                        <mat-form-field appearance="outline">
                          <mat-select formControlName="criminalActivityCtrl">
                            <mat-option [value]="0">Select One</mat-option>
                            <mat-option *ngFor="let criminalActivity of criminalActivityType"
                              [value]="criminalActivity.refGroupDetailID">
                              {{criminalActivity.refGroupDetailDescription}}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="left center" class="row">
                      <div fxFlex="20">
                        <label class="red-label">Arson/Firesetting :</label>
                      </div>
                      <div fxFlex>
                        <mat-form-field appearance="outline">
                          <mat-select formControlName="arsonCtrl">
                            <mat-option [value]="0">Select One</mat-option>
                            <mat-option *ngFor="let arson of arsonType" [value]="arson.refGroupDetailID">
                              {{arson.refGroupDetailDescription}}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="left center" class="row">
                      <div fxFlex="20">
                        <label class="red-label">Cognitive Impairment :</label>
                      </div>
                      <div fxFlex>
                        <mat-form-field appearance="outline">
                          <mat-select formControlName="cognitiveImpairmentCtrl">
                            <mat-option [value]="0">Select One</mat-option>
                            <mat-option *ngFor="let cognitiveImpairment of cognitiveImpairmentType"
                              [value]="cognitiveImpairment.refGroupDetailID">
                              {{cognitiveImpairment.refGroupDetailDescription}}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="left center" class="row">
                      <div fxFlex="20">
                        <label class="red-label">Hallucinations :</label>
                      </div>
                      <div fxFlex>
                        <mat-form-field appearance="outline">
                          <mat-select formControlName="hallucinationsCtrl">
                            <mat-option [value]="0">Select One</mat-option>
                            <mat-option *ngFor="let hallucinations of hallucinationsType"
                              [value]="hallucinations.refGroupDetailID">
                              {{hallucinations.refGroupDetailDescription}}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="left center" class="row">
                      <div fxFlex="20">
                        <label class="red-label">Delusions :</label>
                      </div>
                      <div fxFlex>
                        <mat-form-field appearance="outline">
                          <mat-select formControlName="delusionsCtrl">
                            <mat-option [value]="0">Select One</mat-option>
                            <mat-option *ngFor="let delusions of delusionsType" [value]="delusions.refGroupDetailID">
                              {{delusions.refGroupDetailDescription}}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="left center" class="row">
                      <div fxFlex="20">
                        <label class="red-label">Thought Disorders :</label>
                      </div>
                      <div fxFlex>
                        <mat-form-field appearance="outline">
                          <mat-select formControlName="thoughtDisordersCtrl">
                            <mat-option [value]="0">Select One</mat-option>
                            <mat-option *ngFor="let thoughtDisorders of thoughtDisordersType"
                              [value]="thoughtDisorders.refGroupDetailID">
                              {{thoughtDisorders.refGroupDetailDescription}}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="left center" class="row">
                      <div fxFlex="20">
                        <label class="red-label">Clinical Depression :</label>
                      </div>
                      <div fxFlex>
                        <mat-form-field appearance="outline">
                          <mat-select formControlName="clinicalDepressionCtrl">
                            <mat-option [value]="0">Select One</mat-option>
                            <mat-option *ngFor="let clinicalDepression of clinicalDepressionType"
                              [value]="clinicalDepression.refGroupDetailID">
                              {{clinicalDepression.refGroupDetailDescription}}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="left center" class="row">
                      <div fxFlex="20">
                        <label class="red-label">Hypomania/Mania :</label>
                      </div>
                      <div fxFlex>
                        <mat-form-field appearance="outline">
                          <mat-select formControlName="maniaCtrl">
                            <mat-option [value]="0">Select One</mat-option>
                            <mat-option *ngFor="let mania of maniaType" [value]="mania.refGroupDetailID">
                              {{mania.refGroupDetailDescription}}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </div>
                    </div>
                  </div>
                </form>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <!-- Tab 2-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Substance Use</span>
            <mat-icon *ngIf="substanceTabStatus !== 2"
              [ngStyle]="{'color': substanceTabStatus == 0 ? pendingColor : substanceTabStatus == 1 ? completedColor :noColor}">
              {{substanceTabStatus == 1?'check_circle': substanceTabStatus == 0 ? 'watch_later': ''}}</mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <form [formGroup]="substanceGroup">
                  <div fxLayout="column">
                    <div fxLayout="row" fxLayoutAlign="left center">
                      <h2>Substance Use</h2>
                    </div>
                  </div>
                  <!-- Recently Substance Used -->
                  <div style="margin-top: 10px; margin-bottom: 10px;" fxLayout="column" class="div-border">
                    <div fxLayout="row" fxLayoutAlign="left center">
                      <div fxFlex="40">
                        <label class="red-label">Has the applicant used substances within the last 3 months?</label>
                      </div>
                      <div fxFlex>
                        <mat-radio-group aria-label="Select an option" formControlName="substanceUsedRecentlyCtrl">
                          <mat-radio-button value="1" (click)="setSubstanceUseRecentlyRadio(1)">Yes</mat-radio-button>
                          &nbsp;
                          <mat-radio-button value="0" (click)="setSubstanceUseRecentlyRadio(0)">No</mat-radio-button>
                        </mat-radio-group>
                      </div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="left center" *ngIf="IsSubstanceUsedRecentlySelectedValue == 1">
                      <p>
                        Check all that apply. For items checked provide an explanation in the Psychiatric and
                        Psychosocial Summary, or MHR report.
                      </p>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="left center" *ngIf="IsSubstanceUsedRecentlySelectedValue == 1">
                      <div fxFlex="5"></div>
                      <div fxFlex="80">
                        <mat-checkbox *ngFor="let subUseRecently of subUseRecentlyType" class="checkbox-style"
                          [checked]="substanceUsedRecentlyPatternTypeArray.indexOf(subUseRecently.refGroupDetailID) >= 0 ? true: false"
                          (change)="onsubstanceUsedRecentlyPatternTypesCheckChange($event, subUseRecently.refGroupDetailID)"
                          [value]="subUseRecently.refGroupDetailID">
                          {{subUseRecently.refGroupDetailDescription}}
                          <div class="mat-form-field-flex" style="vertical-align: middle; display: inline;"
                            *ngIf="subUseRecently.refGroupDetailID == 456">
                            <mat-icon style=" width:0; font-size: 20px; vertical-align: middle;"
                              matTooltip="Heroin, Oxycodone, Vicodin, Methadone (non-RX), Other"
                              matTooltipPosition="above">
                              info
                            </mat-icon>
                          </div>
                          <div class="mat-form-field-flex" style="vertical-align: middle; display: inline;"
                            *ngIf="subUseRecently.refGroupDetailID == 457">
                            <mat-icon style="width:0; font-size: 20px; vertical-align: middle;"
                              matTooltip="Marijuana, Hashish, THC, Other" matTooltipPosition="above">
                              info
                            </mat-icon>
                          </div>
                          <div class="mat-form-field-flex" style="vertical-align: middle; display: inline;"
                            *ngIf="subUseRecently.refGroupDetailID == 458">
                            <mat-icon style="width:0; font-size: 20px; vertical-align: middle;"
                              matTooltip="Cocaine, Crack, Other" matTooltipPosition="above">
                              info
                            </mat-icon>
                          </div>
                          <div class="mat-form-field-flex" style="vertical-align: middle; display: inline;"
                            *ngIf="subUseRecently.refGroupDetailID == 459">
                            <mat-icon style="width:0; font-size: 20px; vertical-align: middle;"
                              matTooltip="Speed, Crystal Meth, Adderall, Ritalin, Uppers, Other"
                              matTooltipPosition="above">
                              info
                            </mat-icon>
                          </div>
                          <div class="mat-form-field-flex" style="vertical-align: middle; display: inline;"
                            *ngIf="subUseRecently.refGroupDetailID == 460">
                            <mat-icon style="width:0; font-size: 20px; vertical-align: middle;"
                              matTooltip="Xanax, Valium, Kionopin, Ativan, Other" matTooltipPosition="above">
                              info
                            </mat-icon>
                          </div>
                          <div class="mat-form-field-flex" style="vertical-align: middle; display: inline;"
                            *ngIf="subUseRecently.refGroupDetailID == 461">
                            <mat-icon style="width:0; font-size: 20px; vertical-align: middle;"
                              matTooltip="Barbiturates, Ambien, Downers, Other" matTooltipPosition="above">
                              info
                            </mat-icon>
                          </div>
                          <div class="mat-form-field-flex" style="vertical-align: middle; display: inline;"
                            *ngIf="subUseRecently.refGroupDetailID == 462">
                            <mat-icon style="width:0; font-size: 20px; vertical-align: middle;"
                              matTooltip="LSD, PCP, Angel Dust, Acid, Mescaline, Shrooms, Other"
                              matTooltipPosition="above">
                              info
                            </mat-icon>
                          </div>
                          <div class="mat-form-field-flex" style="vertical-align: middle; display: inline;"
                            *ngIf="subUseRecently.refGroupDetailID == 463">
                            <mat-icon style="width:0; font-size: 20px; vertical-align: middle;"
                              matTooltip="Ecstasy, MDM, GHB, Special K, Bath Salts, Other" matTooltipPosition="above">
                              info
                            </mat-icon>
                          </div>
                        </mat-checkbox>
                        <mat-form-field appearance="outline" *ngIf="IsSubstanceUsedRecentlyPatternOtherSelected == 1">
                          <input matInput name="substanceUsedRecentOtherSpecify"
                            formControlName="substanceUsedRecentOtherSpecifyCtrl">
                        </mat-form-field>
                      </div>
                    </div>
                    <div fxLayout="row" style="margin-top: 10px;" fxLayoutAlign="left center"
                      *ngIf="IsSubstanceUsedRecentlySelectedValue == 1">
                      <div fxFlex="5">
                      </div>
                      <div fxFlex="15" class="red-label">
                        Substance Use Pattern :
                      </div>
                      <div fxFlex>
                        <mat-form-field appearance="outline">
                          <mat-select formControlName="substanceUsedRecentlyPatternTypeCtrl">
                            <mat-option [value]="0">Select One</mat-option>
                            <mat-option *ngFor="let substanceUsedRecentlyPattern of substanceUsedRecentlyPatternType"
                              [value]="substanceUsedRecentlyPattern.refGroupDetailID">
                              {{substanceUsedRecentlyPattern.refGroupDetailDescription}}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </div>
                    </div>
                  </div>
                  <!-- Past Substance Used -->
                  <div style="margin-top: 10px; margin-bottom: 10px;" fxLayout="column" class="div-border">
                    <div fxLayout="row" fxLayoutAlign="left center">
                      <div fxFlex="40">
                        <label class="red-label">Has the applicant used substances in the past?</label>
                      </div>
                      <div fxFlex>
                        <mat-radio-group aria-label="Select an option" formControlName="substanceUsedInPastCtrl">
                          <mat-radio-button value="1" (click)="setSubstanceUsePastRadio(1)">Yes</mat-radio-button>
                          &nbsp;
                          <mat-radio-button value="0" (click)="setSubstanceUsePastRadio(0)">No</mat-radio-button>
                        </mat-radio-group>
                      </div>
                    </div>
                    <div fxLayout="row" style="margin-top: 10px;" fxLayoutAlign="left center"
                      *ngIf="IsSubstanceUsedPastSelectedValue == 1">
                      <div fxFlex="5"></div>
                      <div fxFlex="80">
                        <mat-checkbox *ngFor="let subUseInPast of subUseInPastType" class="checkbox-style"
                          [checked]="substanceUsedInPastPatternTypeArray.indexOf(subUseInPast.refGroupDetailID) >= 0 ? true: false"
                          (change)="onsubstanceUsedPastPatternTypesCheckChange($event, subUseInPast.refGroupDetailID)"
                          [value]="subUseInPast.refGroupDetailID">
                          {{subUseInPast.refGroupDetailDescription}}
                          <div class="mat-form-field-flex" style="vertical-align: middle; display: inline"
                            *ngIf="subUseInPast.refGroupDetailID == 456">
                            <mat-icon style="width:0; font-size: 20px; vertical-align: middle;"
                              matTooltip="Heroin, Oxycodone, Vicodin, Methadone (non-RX), Other"
                              matTooltipPosition="above">
                              info
                            </mat-icon>
                          </div>
                          <div class="mat-form-field-flex" style="vertical-align: middle; display: inline"
                            *ngIf="subUseInPast.refGroupDetailID == 457">
                            <mat-icon style="width:0; font-size: 20px; vertical-align: middle;"
                              matTooltip="Marijuana, Hashish, THC, Other" matTooltipPosition="above">
                              info
                            </mat-icon>
                          </div>
                          <div class="mat-form-field-flex" style="vertical-align: middle; display: inline"
                            *ngIf="subUseInPast.refGroupDetailID == 458">
                            <mat-icon style="width:0; font-size: 20px; vertical-align: middle;"
                              matTooltip="Cocaine, Crack, Other" matTooltipPosition="above">
                              info
                            </mat-icon>
                          </div>
                          <div class="mat-form-field-flex" style="vertical-align: middle; display: inline"
                            *ngIf="subUseInPast.refGroupDetailID == 459">
                            <mat-icon style="width:0; font-size: 20px; vertical-align: middle;"
                              matTooltip="Speed, Crystal Meth, Adderall, Ritalin, Uppers, Other"
                              matTooltipPosition="above">
                              info
                            </mat-icon>
                          </div>
                          <div class="mat-form-field-flex" style="vertical-align: middle; display: inline"
                            *ngIf="subUseInPast.refGroupDetailID == 460">
                            <mat-icon style="width:0; font-size: 20px; vertical-align: middle;"
                              matTooltip="Xanax, Valium, Kionopin, Ativan, Other" matTooltipPosition="above">
                              info
                            </mat-icon>
                          </div>
                          <div class="mat-form-field-flex" style="vertical-align: middle; display: inline"
                            *ngIf="subUseInPast.refGroupDetailID == 461">
                            <mat-icon style="width:0; font-size: 20px; vertical-align: middle;"
                              matTooltip="Barbiturates, Ambien, Downers, Other" matTooltipPosition="above">
                              info
                            </mat-icon>
                          </div>
                          <div class="mat-form-field-flex" style="vertical-align: middle; display: inline"
                            *ngIf="subUseInPast.refGroupDetailID == 462">
                            <mat-icon style="width:0; font-size: 20px; vertical-align: middle;"
                              matTooltip="LSD, PCP, Angel Dust, Acid, Mescaline, Shrooms, Other"
                              matTooltipPosition="above">
                              info
                            </mat-icon>
                          </div>
                          <div class="mat-form-field-flex" style="vertical-align: middle; display: inline"
                            *ngIf="subUseInPast.refGroupDetailID == 463">
                            <mat-icon style="width:0; font-size: 20px; vertical-align: middle;"
                              matTooltip="Ecstasy, MDM, GHB, Special K, Bath Salts, Other" matTooltipPosition="above">
                              info
                            </mat-icon>
                          </div>
                        </mat-checkbox>
                        <mat-form-field appearance="outline" *ngIf="IsSubstanceUsedInPastPatternOtherSelected == 1">
                          <input matInput name="substanceUsedInPastOtherSpecifyCtrl"
                            formControlName="substanceUsedInPastOtherSpecifyCtrl">
                        </mat-form-field>
                      </div>
                    </div>
                    <div fxLayout="row" style="margin-top: 10px;" fxLayoutAlign="left center" class="row"
                      *ngIf="IsSubstanceUsedPastSelectedValue == 1">
                      <div fxFlex="5">
                      </div>
                      <div fxFlex="15" class="red-label">
                        Substance Use Pattern :
                      </div>
                      <div fxFlex>
                        <mat-form-field appearance="outline">
                          <mat-select formControlName="substanceUsedInPastPatternTypeCtrl">
                            <mat-option [value]="0">Select One</mat-option>
                            <mat-option *ngFor="let substanceUsedInPastPattern of substanceUsedInPastPatternType"
                              [value]="substanceUsedInPastPattern.refGroupDetailID">
                              {{substanceUsedInPastPattern.refGroupDetailDescription}}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="left center" class="row"
                      *ngIf="IsSubstanceUsedPastSelectedValue == 1 && IsSubstanceUsedInPastPatternAlcoholSelected == 1">
                      <div fxFlex="5">
                      </div>
                      <div fxFlex="15" class="red-label">
                        Alcohol sobriety period :
                      </div>
                      <div fxFlex="20">
                        <mat-form-field appearance="outline">
                          <mat-select formControlName="pastAlcoholSobrietyTypeCtrl">
                            <mat-option [value]="0">Select One</mat-option>
                            <mat-option *ngFor="let pastAlcoholSobriety of pastAlcoholSobrietyType"
                              [value]="pastAlcoholSobriety.refGroupDetailID">
                              {{pastAlcoholSobriety.refGroupDetailDescription}}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </div>
                      <div fxFlex="38">
                        If known, indicate date since Applicant has been Alcohol free :
                      </div>
                      <div fxFlex>
                        <mat-form-field appearance="outline">
                          <input type="text" matInput [matDatepicker]="pastAlcoholSobrietyDate" dateOnly maxlength="10"
                            formControlName="pastAlcoholSobrietyDateCtrl" placeholder="MM/DD/YYYY" [max]="now">
                          <mat-icon matSuffix (click)="pastAlcoholSobrietyDate.open()"
                            style="cursor:pointer; color:#777;">today
                          </mat-icon>
                          <mat-datepicker #pastAlcoholSobrietyDate></mat-datepicker>
                        </mat-form-field>
                      </div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="left center" class="row"
                      *ngIf="IsSubstanceUsedPastSelectedValue == 1 && IsSubstanceUsedInPastPatternDrugsSelected == 1">
                      <div fxFlex="5">
                      </div>
                      <div fxFlex="15" class="red-label">
                        Drug sobriety period :
                      </div>
                      <div fxFlex="20">
                        <mat-form-field appearance="outline">
                          <mat-select formControlName="pastDrugSobrietyTypeCtrl">
                            <mat-option [value]="0">Select One</mat-option>
                            <mat-option *ngFor="let pastDrugSobriety of pastDrugSobrietyType"
                              [value]="pastDrugSobriety.refGroupDetailID">
                              {{pastDrugSobriety.refGroupDetailDescription}}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </div>
                      <div fxFlex="38">
                        If known, indicate date since Applicant has been Drug free :
                      </div>
                      <div fxFlex>
                        <mat-form-field appearance="outline">
                          <input type="text" matInput [matDatepicker]="pastDrugSobrietyDate" maxlength="10"
                            formControlName="pastDrugSobrietyDateCtrl" placeholder="MM/DD/YYYY" dateOnly [max]="now">
                          <mat-icon matSuffix (click)="pastDrugSobrietyDate.open()" style="cursor:pointer; color:#777;">
                            today
                          </mat-icon>
                          <mat-datepicker #pastDrugSobrietyDate></mat-datepicker>
                        </mat-form-field>
                      </div>
                    </div>
                  </div>
                </form>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <!-- Tab 3-->
        <mat-tab *ngIf="IsSubstanceUsedPastSelectedValue == '1' || IsSubstanceUsedRecentlySelectedValue == '1'">
          <ng-template matTabLabel>
            <span>Treatment Programs</span>
            <mat-icon *ngIf="treatmentTabStatus !== 2"
              [ngStyle]="{'color': treatmentTabStatus == 0 ? pendingColor : treatmentTabStatus == 1 ? completedColor :noColor}">
              {{treatmentTabStatus == 1?'check_circle': treatmentTabStatus == 0 ? 'watch_later': ''}}</mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <form [formGroup]="symptomsGroup">
                  <div fxLayout="column" style="padding-left: 10px;">
                    <div fxLayout="row" fxLayoutAlign="left center">
                      <h2>Treatment Programs</h2>
                    </div>
                  </div>
                  <div fxLayout="column" class="div-border">
                    <div fxLayout="row" fxLayoutAlign="left center" style="padding-left: 10px;">
                      <div fxFlex="55">
                        <label class="red-label">Is Applicant currently in a substance use treatment program?</label>
                      </div>
                      <div fxFlex>
                        <mat-radio-group aria-label="Select an option"
                          formControlName="isCurrentlyTreatmentProgramCtrl">
                          <mat-radio-button value="1" (click)="setCurrentlyTreatmentProgramRadio(1)">Yes
                          </mat-radio-button>
                          &nbsp;
                          <mat-radio-button value="0" (click)="setCurrentlyTreatmentProgramRadio(0)">No
                          </mat-radio-button>
                        </mat-radio-group>
                      </div>
                    </div>
                    <div fxLayout="column" *ngIf="IsCurrentlyTreatmentProgramSelected == 1">
                      <div fxLayout="row" style="margin-top: 10px;" fxLayoutAlign="left center">
                        <div fxFlex="1"></div>
                        <div fxFlex>
                          <label>Please enter the following information :</label>
                        </div>
                      </div>
                      <div fxLayout="row" style="margin-top: 10px;" fxLayoutAlign="left center" class="row">
                        <div fxFlex="5"></div>
                        <div fxFlex="15">
                          <label class="red-label">Program Name :</label>
                        </div>
                        <div fxFlex>
                          <mat-form-field appearance="outline">
                            <input matInput name="currentTreatmentProgramName"
                              formControlName="currentTreatmentProgramNameCtrl">
                          </mat-form-field>
                        </div>
                      </div>
                      <div fxLayout="row" fxLayoutAlign="left center" class="row">
                        <div fxFlex="5"></div>
                        <div fxFlex="15">
                          <label class="red-label">Modality :</label>
                        </div>
                        <div fxFlex>
                          <mat-form-field appearance="outline">
                            <mat-select formControlName="currentTreatmentProgramModalityTypeCtrl">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option
                                *ngFor="let currentTreatmentProgramModality of currentTreatmentProgramModalityType"
                                [value]="currentTreatmentProgramModality.refGroupDetailID">
                                {{currentTreatmentProgramModality.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                      </div>
                      <div fxLayout="row" fxLayoutAlign="left center" class="row">
                        <div fxFlex="5"></div>
                        <div fxFlex="15">
                          <label class="red-label">Date Of Admission :</label>
                        </div>
                        <div fxFlex>
                          <mat-form-field appearance="outline">
                            <input type="text" matInput [matDatepicker]="currentTreatmentProgramAdmissionDate" dateOnly
                              maxlength="10" formControlName="currentTreatmentProgramAdmissionDateCtrl" [max]="now"
                              [min]="minDate" placeholder="MM/DD/YYYY">
                            <mat-icon matSuffix (click)="currentTreatmentProgramAdmissionDate.open()"
                              style="cursor:pointer; color:#777;">today
                            </mat-icon>
                            <mat-datepicker #currentTreatmentProgramAdmissionDate></mat-datepicker>
                          </mat-form-field>
                        </div>
                      </div>
                      <div fxLayout="row" fxLayoutAlign="left center" class="row">
                        <div fxFlex="5"></div>
                        <div fxFlex="65">
                          <label class="red-label">Is the Applicant actively participating in and complying with
                            treatment, as well as making clinical progress ?</label>
                        </div>
                        <div fxFlex>
                          <mat-radio-group aria-label="Select an option" formControlName="isActivelyParticipatingCtrl">
                            <mat-radio-button value="1" (click)="setIsActivelyParticipatingCtrlRadio(1)">Yes
                            </mat-radio-button>
                            &nbsp;
                            <mat-radio-button value="0" (click)="setIsActivelyParticipatingCtrlRadio(0)">No
                            </mat-radio-button>
                          </mat-radio-group>
                        </div>
                      </div>
                      <div fxLayout="row" fxLayoutAlign="left center" *ngIf="IsActivelyParticipatingSelected == 0"
                        class="row">
                        <div fxFlex="5"></div>
                        <div fxFlex="10">
                          <label class="red-label">Explain :</label>
                        </div>
                        <div fxFlex>
                          <mat-form-field appearance="outline" class="text-area-field">
                            <textarea matInput name="explainNonParticipation"
                              formControlName="explainNonParticipationCtrl" maxlength="250"></textarea>
                          </mat-form-field>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div style="margin-top: 10px; margin-bottom: 10px;" fxLayout="column" class="div-border">
                    <div fxLayout="row" fxLayoutAlign="left center" style="padding-left: 10px;">
                      <div fxFlex="61">
                        <label class="red-label">Has the Applicant successfully completed or participated in a course of
                          Substance Use treatment?</label>
                      </div>
                      <div fxFlex>
                        <mat-radio-group aria-label="Select an option"
                          formControlName="hasCompletedTreatmentProgramCtrl">
                          <mat-radio-button value="1" (click)="setHasCompletedTreatmentProgramRadio(1)">Yes
                          </mat-radio-button>
                          &nbsp;
                          <mat-radio-button value="0" (click)="setHasCompletedTreatmentProgramRadio(0)">No
                          </mat-radio-button>
                        </mat-radio-group>
                      </div>
                    </div>
                    <div fxLayout="column" *ngIf="IsHasCompletedTreatmentProgramSelected == 1">
                      <div fxLayout="row" style="margin-top: 10px;" fxLayoutAlign="left center">
                        <div fxFlex="1"></div>
                        <div fxFlex>
                          <label>Please enter the information below for the last course of treatment the Applicant
                            completed
                            or participated in and attach information attesting to the applicant's successful completion
                            of
                            or participation in a course of treatment (via the Documents tab) :</label>
                        </div>
                      </div>
                      <div fxLayout="row" style="margin-top: 10px;" fxLayoutAlign="left center" class="row">
                        <div fxFlex="5"></div>
                        <div fxFlex="15">
                          <label class="red-label">Program Name :</label>
                        </div>
                        <div fxFlex>
                          <mat-form-field appearance="outline">
                            <input matInput name="completedProgramNameCtrl" formControlName="completedProgramNameCtrl">
                          </mat-form-field>
                        </div>
                      </div>
                      <div fxLayout="row" fxLayoutAlign="left center" class="row">
                        <div fxFlex="5"></div>
                        <div fxFlex="15">
                          <label class="red-label">Modality :</label>
                        </div>
                        <div fxFlex>
                          <mat-form-field appearance="outline">
                            <mat-select formControlName="completedTreatmentProgramModalityTypeCtrl">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option
                                *ngFor="let completedTreatmentProgramModality of completedTreatmentProgramModalityType"
                                [value]="completedTreatmentProgramModality.refGroupDetailID">
                                {{completedTreatmentProgramModality.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </div>
                      </div>
                      <div fxLayout="row" fxLayoutAlign="left center" class="row">
                        <div fxFlex="5"></div>
                        <div fxFlex="15">
                          <label class="red-label">Date Of Completion :</label>
                        </div>
                        <div fxFlex>
                          <mat-form-field appearance="outline">
                            <input type="text" matInput [matDatepicker]="completedProgramAdmissionDate" dateOnly
                              maxlength="10" formControlName="completedProgramAdmissionDateCtrl" [max]="now"
                              placeholder="MM/DD/YYYY">
                            <mat-icon matSuffix (click)="completedProgramAdmissionDate.open()"
                              style="cursor:pointer; color:#777;">today
                            </mat-icon>
                            <mat-datepicker #completedProgramAdmissionDate></mat-datepicker>
                          </mat-form-field>
                        </div>
                      </div>
                    </div>
                  </div>
                </form>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <!-- Tab 4-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Substance Use Documents</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <app-document [preSelectedDocType]="56" (uploadFinished)="onUploadFinish($event)"></app-document>
              </div>
            </div>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
  </mat-card>
  <app-nav-footer (Savebtn)="onSave()" (Previousbtn)="previousPage()" (Nextbtn)="nextPage()"></app-nav-footer>
</div>